For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet logs for one Shipment by Order Id and Shipment Id
      • GETGet one Shipment by Shipment Id
      • GETGet all Shipments for Order
      • GETGet one Shipment's status timeline by Order Id and Shipment Id
      • GETGet Orders
      • POSTCreate Order
      • GETGet one Shipment by Order Id and Shipment Id
      • GETGet Order
      • GETGet one Shipment's status timeline by Shipment Id
      • GETGet logs for one Shipment by Shipment Id
      • POSTCancel one Shipment by Order Id and Shipment Id
      • POSTCancel one Shipment by Shipment Id
      • POSTCancel single Order by Order ID
      • GETGet Order Store Json
      • POSTSave the Store Order Json
      • POSTUpdate Tracking Uploaded Status for Multiple Shipments by Shipment Id
      • POSTCancel multiple Shipments by Shipment Id
      • POSTEstimate Fulfillment Cost For Order
      • GETGet shipping methods
      • GETGet Completely Cancelled Orders
LogoLogo
API ReferenceOrders

Cancel single Order by Order ID

||View as Markdown|
POST
https://sandbox-api.shipbob.com/2025-07/order/:orderId:cancel
POST
/2025-07/order/:orderId:cancel
$curl -X POST https://sandbox-api.shipbob.com/2025-07/order/1:cancel \
> -H "shipbob_channel_id: 1" \
> -H "Authorization: Bearer <token>"
1{
2 "canceled_shipment_results": [
3 {
4 "action": "Cancel",
5 "is_success": true,
6 "reason": "string",
7 "shipment_id": 0
8 }
9 ],
10 "order": {
11 "channel": {
12 "id": 0,
13 "name": "ShipBobs-Shopify-Store"
14 },
15 "created_date": "2019-08-24T14:15:22+00:00",
16 "financials": {
17 "total_price": 0.1
18 },
19 "gift_message": "string",
20 "id": 0,
21 "order_number": "string",
22 "products": [
23 {
24 "external_line_id": 0,
25 "gtin": "string",
26 "id": 0,
27 "quantity": 0,
28 "quantity_unit_of_measure_code": "string",
29 "reference_id": "TShirtBlueM",
30 "sku": "TShirtBlueM",
31 "unit_price": 0.1,
32 "upc": "string"
33 }
34 ],
35 "purchase_date": "2019-08-24T14:15:22+00:00",
36 "recipient": {
37 "address": null,
38 "name": "John Doe",
39 "email": "john@example.com",
40 "phone_number": "555-555-5555"
41 },
42 "reference_id": "string",
43 "retailer_program_data": {
44 "addresses": [
45 {
46 "address1": "100 Nowhere Blvd",
47 "city": "Gotham City",
48 "country": "US",
49 "type": "MarkFor",
50 "address2": "Suite 100",
51 "company_name": "Wayne Enterprises",
52 "state": "NJ",
53 "zip_code": "07093"
54 }
55 ],
56 "customer_ticket_number": "string",
57 "delivery_date": "2019-08-24T14:15:22+00:00",
58 "department": "string",
59 "doNotShipBeforeDate": "2019-08-24T14:15:22+00:00",
60 "mark_for_store": "string",
61 "purchase_order_number": "string",
62 "retailer_program_type": "string",
63 "shipByDate": "2019-08-24T14:15:22+00:00"
64 },
65 "shipments": [
66 null
67 ],
68 "shipping_method": "Free 2-day Shipping",
69 "shipping_terms": {
70 "carrier_type": "Parcel",
71 "payment_term": "Collect"
72 },
73 "status": "Processing",
74 "tags": [
75 {
76 "name": "Handling instructions",
77 "value": "Fragile"
78 }
79 ],
80 "type": "DTC"
81 },
82 "order_id": 0,
83 "status": "Success"
84}
Was this page helpful?
Previous

Cancel one Shipment by Shipment Id

Next

Get Order Store Json

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

orderIdintegerRequired
The order ID to cancel

Headers

shipbob_channel_idintegerRequired
Channel ID for Operation

Response

Success
canceled_shipment_resultslist of objects
Results of canceling the shipments associated with the order
orderobject
order_idinteger
The ID of the canceled order
statusenum
Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error